## org.eclipse.amp.amf.gen.ext
Class KeyGraphicsLaunchAction

    java.lang.Object
      org.eclipse.amp.amf.ide.AMFLaunchAction
          org.eclipse.amp.amf.gen.ext.KeyGraphicsLaunchAction

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchShortcut, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class KeyGraphicsLaunchAction

extends AMFLaunchAction

Field Summary
`static Configurator` `KEY_CONFIGURATOR`

Constructor Summary
`KeyGraphicsLaunchAction()`

Method Summary
`Configurator` `getConfigurator()`
`java.lang.String` `getTargetName()`

Methods inherited from class org.eclipse.amp.amf.ide.AMFLaunchAction
`launch, launch, launchWith, launchWithResource, run, selectionChanged, setActivePart, setTargetName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_CONFIGURATOR

    public static final Configurator KEY_CONFIGURATOR

Constructor Detail

### KeyGraphicsLaunchAction

    public KeyGraphicsLaunchAction()

Method Detail

### getConfigurator

    public Configurator getConfigurator()

  Overrides:
    `getConfigurator` in class `AMFLaunchAction`

### getTargetName

    public java.lang.String getTargetName()

  Overrides:
    `getTargetName` in class `AMFLaunchAction`